Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Sökvägsparametrar
id
string
krävs
Unique identifier for the evaluation rule.
Svar
The request has succeeded.
Brödtext
id
string
krävs
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
krävs
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
krävs
evalId
string
krävs
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
krävs
templateId
string
krävs
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
krävs
Filter by agent name.
eventType
string | enum
krävs
Type of the evaluation rule event.
enum
enabled
boolean
krävs
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
krävs
System metadata for the evaluation rule.
Förfrågan
GET /evaluationrules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json